<?php
/**
 * Export Member List
 *
 * Export a list of members as plain text
 *
 * @package exportmemberlist
 * @author Stewart Smith
 */
$title = "Export Membership List";

if(!has_permission(get_member_id($_SESSION['user']),
		   $permissions_pages['memberlist']['activity'])) {
  exit("No permission");
}

$exportform=
array(
      'general'=>array('type'=>'fieldset',
		       'legend'=>'Export Members',
       'fields'=>array(
		       'seperator'=>array('type'=>'select',
					  'label'=>'Seperator',
					  'options'=>array(
							   'None',
							   'Comma',
							   'Tab'
							   ),
					  ),
		       'id'=>array('type'=>'checkbox',
				   'label'=>'Member ID'),
		       'date_entered'=>array('type'=>'checkbox',
					     'label'=>'Date Entered'),
		       'first_name'=>array('type'=>'checkbox',
					   'label'=>'First Name'),
		       'middle_name'=>array('type'=>'checkbox',
					   'label'=>'Middle Name'),
		       'last_name'=>array('type'=>'checkbox',
					  'label'=>'Last Name'),
		       'dob'=>array('type'=>'checkbox',
				    'label'=>'Date of birth'),
		       'sex'=>array('type'=>'checkbox',
				    'label'=>'Sex'),
		       'address1'=>array('type'=>'checkbox',
					 'label'=>'Address (Line 1)'),
		       'address2'=>array('type'=>'checkbox',
					 'label'=>'Address (Line 2)'),
		       'suburb'=>array('type'=>'checkbox',
				       'label'=>'Suburb'),
		       'postcode'=>array('type'=>'checkbox',
					 'label'=>'Postcode (ZIP)'),
		       'country'=>array('type'=>'checkbox',
					'label'=>'Country'),
		       'email'=>array('type'=>'checkbox',
				      'label'=>'Email'),
		       'phone_home'=>array('type'=>'checkbox',
					   'label'=>'Home Phone'),
		       'phone_mobile'=>array('type'=>'checkbox',
					     'label'=>'Mobile Phone'),
		       'state'=>array('type'=>'checkbox',
				      'label'=>'State'),
		       'org_id'=>array('type'=>'checkbox',
				       'label'=>'Org ID'),
		       'org_name'=>array('type'=>'checkbox',
					 'label'=>'Org Name'),
		       'member_type_id'=>array('type'=>'checkbox',
					       'label'=>'Member type ID'),
		       'member_type'=>array('type'=>'checkbox',
					    'label'=>'Member Type'),
		       ),
		       ),
      );
		       

$errors = validate($exportform, $_POST);

if(!$errors && $_POST['Export']=='Export') {
  header("Content-Type: text/plain; charset=utf-8");
  header("X-Pants: off");

  $sql = "select * from current_memberships";
  $result = $dbh->query($sql);
  if(DB::isError($result))
  {
    my_syslog(LOG_ERR,'membership list isError: '.$result->getMessage());
    my_syslog(LOG_ERR,'membership list isError result: '.var_export($result));
    exit("Database error");
  }
  $sep='';
  if($_POST['seperator']=='Comma')
    $sep=',';
  if($_POST['seperator']=='Tab')
    $sep="\t";

  while($row = $result->fetchrow(DB_FETCHMODE_OBJECT)) {
    foreach($_POST as $key=>$val) {
      if($val=='on')
	echo $row->$key.$sep;
    }
    echo "\n";
  }
  exit(0);

} else {
  headers(array('title'=>$title,'menu'=>1));
  echo '<div class="stdform">';
  print $errors;
  output_form($exportform,"exportform","Export","post");
  echo '</div>';
}
